Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.commonapi
Interface Message

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  RawMessage

All Known Implementing Classes:
  AbstractSubscribeMessage, AggregationMessage, AggregationTimeoutMessage, AnycastMessage, BroadcastLeafSet, BroadcastRouteRow, CacheMessage, ConsistentJoinMsg, ContinuationMessage, DatagramMessage, DropMessage, FetchHandleMessage, FetchMessage, GCCollectMessage, GCInsertMessage, GCLookupHandlesMessage, GCRefreshMessage, GlacierDataMessage, GlacierFetchMessage, GlacierMessage, GlacierNeighborRequestMessage, GlacierNeighborResponseMessage, GlacierQueryMessage, GlacierRangeForwardMessage, GlacierRangeQueryMessage, GlacierRangeResponseMessage, GlacierRefreshCompleteMessage, GlacierRefreshPatchMessage, GlacierRefreshProbeMessage, GlacierRefreshResponseMessage, GlacierResponseMessage, GlacierSyncMessage, GlacierTimeoutMessage, HelloMsg, InitiateJoin, InitiateLeafSetMaintenance, InitiatePingNeighbor, InitiateRouteSetMaintenance, InsertMessage, IPAddressRequestMessage, IPAddressResponseMessage, JavaSerializedMessage, JoinRequest, LeafSetRequestMessage, LeafSetResponseMessage, LookupHandlesMessage, LookupMessage, MaintenanceMessage, Message, MessageLostMessage, MultiringRegrTest.MultiringTestMessage, MyMsg, MyMsg, MyMsg, MyMsg, MyMsg, MyMsg, MyMsg, NodeIdRequestMessage, NodeIdResponseMessage, PastMessage, PastryEndpointMessage, PingMessage, PingMessageNew, PingResponseMessage, PJavaSerializedMessage, PRawMessage, PublishMessage, PublishRequestMessage, ReminderMessage, ReminderMessage, ReplicationMessage, RequestLeafSet, RequestMessage, RequestRouteRow, ResponseMessage, RouteMessage, RouteRowRequestMessage, RouteRowResponseMessage, RoutesRequestMessage, RoutesResponseMessage, ScribeMessage, SocketMessage, SourceRoute, SubscribeAckMessage, SubscribeFailedMessage, SubscribeLostMessage, SubscribeMessage, TimeoutMessage, UnsubscribeMessage, WrongEpochMessage

    public interface Message

extends java.io.Serializable

Version:
  $Id: Message.java 3274 2006-05-15 16:17:47Z jeffh $
Author:
  Alan Mislove, Peter Druschel

Field Summary
`static byte` | `HIGH_PRIORITY` DESCRIBE THE FIELD
`static byte` | `LOW_PRIORITY` DESCRIBE THE FIELD
`static byte` | `MAX_PRIORITY` DESCRIBE THE FIELD
`static byte` | `MEDIUM_HIGH_PRIORITY` DESCRIBE THE FIELD
`static byte` | `MEDIUM_LOW_PRIORITY` DESCRIBE THE FIELD
`static byte` | `MEDIUM_PRIORITY` DESCRIBE THE FIELD

Method Summary
`byte` | `getPriority()` Method which should return the priority level of this message.

Field Detail

### MAX_PRIORITY

    static final byte MAX_PRIORITY

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### HIGH_PRIORITY

    static final byte HIGH_PRIORITY

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### MEDIUM_HIGH_PRIORITY

    static final byte MEDIUM_HIGH_PRIORITY

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### MEDIUM_PRIORITY

    static final byte MEDIUM_PRIORITY

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### MEDIUM_LOW_PRIORITY

    static final byte MEDIUM_LOW_PRIORITY

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### LOW_PRIORITY

    static final byte LOW_PRIORITY

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

Method Detail

### getPriority

    byte getPriority()

  Method which should return the priority level of this message. The messages can range in priority from 0 (highest priority) to Integer.MAX_VALUE (lowest) - when sending messages across the wire, the queue is sorted by message priority. If the queue reaches its limit, the lowest priority messages are discarded. Thus, applications which are very verbose should have LOW_PRIORITY or lower, and applications which are somewhat quiet are allowed to have MEDIUM_PRIORITY or possibly even HIGH_PRIORITY.

  Returns:
    This message's priority

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.